package com.zswl.dataservicestarter.service;

import com.zswl.dataservicestarter.dao.DataServiceOrderInfoDao;
import com.zswl.dataservicestarter.domain.DataServiceOrderInfo;
import com.zswl.dataservicestarter.utils.result.ResultContent;
import org.apache.commons.lang3.ObjectUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author TRX
 * @date 2024/3/25
 */
@Service
public class DataServiceOrderInfoService {
    @Autowired
    DataServiceOrderInfoDao orderInfoDao;

    /**
     * 更加HashCode验证订单信息是否存在
     *
     * @param hashCode
     * @return
     */
    public ResultContent validateHashCodeByHashCode(int hashCode) {
        DataServiceOrderInfo orderInfo = orderInfoDao.findTopByHashCode(hashCode);
        if (ObjectUtils.isEmpty(orderInfo)) {
            return ResultContent.buildFail("对应数据未找到");
        }
        return ResultContent.buildSuccess();
    }

}
